import { ViewContainerRef } from '@angular/core';
import { ComplexBase, ArrayBase } from '@syncfusion/ej2-angular-base';
import * as i0 from "@angular/core";
/**
 * 'e-accordionitem' directive represent a item of the Angular Accordion.
 * It must be contained in a Accordion component(`ejs-accordion`).
 * ```html
 * <ejs-accordion>
 *   <e-accordionitems>
 *    <e-accordionitem header='Header1'></e-accordionitem>
 *    <e-accordionitem header='Header2' content='Content2'></e-accordionitem>
 *   </e-accordionitems>
 * </ejs-accordion>
 * ```
 */
export declare class AccordionItemDirective extends ComplexBase<AccordionItemDirective> {
    private viewContainerRef;
    directivePropList: any;
    /**
     * Defines single/multiple classes (separated by a space) are to be used for Accordion item customization.
     * @default null
     */
    cssClass: any;
    /**
     * Sets true to disable an accordion item.
     * @default false
     */
    disabled: any;
    /**
     * Sets the expand (true) or collapse (false) state of the Accordion item. By default, all the items are in a collapsed state.
     * @default false
     */
    expanded: any;
    /**
     * Defines an icon with the given custom CSS class that is to be rendered before the header text.
     * Add the css classes to the `iconCss` property and write the css styles to the defined class to set images/icons.
     * Adding icon is applicable only to the header.
     *
     * @default null
     */
    iconCss: any;
    /**
     * Sets unique ID to accordion item.
     * @default null
     */
    id: any;
    /**
     * Sets false to hide an accordion item.
     * @default true
     */
    visible: any;
    /**
     * Sets the header text to be displayed for the Accordion item.
     * You can set the title of the Accordion item using `header` property.
     * It also supports to include the title as `HTML element`, `string`, or `query selector`.
     *
     * @default null
     */
    header: any;
    /**
     * Sets the text content to be displayed for the Accordion item.
     * You can set the content of the Accordion item using `content` property.
     * It also supports to include the title as `HTML element`, `string`, or `query selector`.
     *
     * @default null
     */
    content: any;
    constructor(viewContainerRef: ViewContainerRef);
    static ɵfac: i0.ɵɵFactoryDeclaration<AccordionItemDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<AccordionItemDirective, "e-accordionitems>e-accordionitem", never, { "content": "content"; "cssClass": "cssClass"; "disabled": "disabled"; "expanded": "expanded"; "header": "header"; "iconCss": "iconCss"; "id": "id"; "visible": "visible"; }, {}, ["header", "content"]>;
}
/**
 * AccordionItem Array Directive
 * @private
 */
export declare class AccordionItemsDirective extends ArrayBase<AccordionItemsDirective> {
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<AccordionItemsDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<AccordionItemsDirective, "ejs-accordion>e-accordionitems", never, {}, {}, ["children"]>;
}
